Skip to main content
PUT
/
contests
/
settings
Update contest settings
curl --request PUT \
  --url https://www.renovationfind.com/rest-api-v1/contests/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "editType": "PAUSE_CURRENT_DRIPS_IN_PIPELINE",
  "newValue": true
}
'
import requests

url = "https://www.renovationfind.com/rest-api-v1/contests/settings"

payload = {
"editType": "PAUSE_CURRENT_DRIPS_IN_PIPELINE",
"newValue": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({editType: 'PAUSE_CURRENT_DRIPS_IN_PIPELINE', newValue: true})
};

fetch('https://www.renovationfind.com/rest-api-v1/contests/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Body

application/json
editType
enum<string>
required

Which setting to toggle:

  • PAUSE_CURRENT_DRIPS_IN_PIPELINE — pause notifications for existing drip participants
  • PAUSE_VENDOR_CONTEST_DRIPPING_FROM_CFS — pause new CFS records from entering contests
Available options:
PAUSE_CURRENT_DRIPS_IN_PIPELINE,
PAUSE_VENDOR_CONTEST_DRIPPING_FROM_CFS
newValue
boolean
required

The new value for the setting (true = paused, false = active)

Response

Settings updated

success
boolean
Example:

true

message
string